#include "ipow.h"

#pragma weak ipowx
int ipowx(int b, unsigned int e, int one, int noteone) {
	int p = 1;
	for (;;) {
		if (e & one) {
			p *= b;
			e &= noteone;
		}
		if (!e) {
			return p;
		}
		b *= b;
		e >>= 1;
	}
}

int ipow(int b, unsigned int e) {
	return ipowx(b, e, 1, ~1);
}
