#include "ipow.h"

#pragma weak ipowx
int ipowx(int b, unsigned int e, int two) {
	int p = 1;
	do {
		if (e % two != 0) {
			p *= b;
		}
		e /= two;
		b *= b;
	} while (e != 0);
	return p;
}

int ipow(int b, unsigned int e) {
	return ipowx(b, e, 2);
}
