#include "ipow.h"

#pragma weak ipowx
int ipowx(int b, unsigned int e, int two) {
	int p = 1;
	for (;;) {
		if (e % two != 0) {
			p *= b;
			e--;
		}
		if (e == 0) {
			break;
		}
		b *= b;
		e /= two;
	}
	return p;
}

int ipow(int b, unsigned int e) {
	return ipowx(b, e, 2);
}
